/** This test demonstrate the basic text-to-speech capability of eSpeak
 *
 * Author: Jordan Yuan
 * Date created: 10-2-2013
 * Date revised: 10-9-2013
 *
 * This program and all MyroC software is licensed under the Creative Commons
 * Attribution-Noncommercial-Share Alike 4.0 International License.
 * Details may be found at http://creativecommons.org/licenses/by-nc-sa/4.0/
 */

#include <eSpeakPackage.h>

int main ()
{
  eSpeakConnect ();//connect to eSpeakSpeak
                   //voice set randomly to female or male
  eSpeakTalk( "setting up testing environment");

  eSpeakTalk( "setting voice to male");
  eSpeakSetGender ("male"); //set gender male

  eSpeakTalk("Once upon a time in a kingdom far far away");
  eSpeakSetGender("female"); // set gender female

  eSpeakTalk("there was a little princess");
  eSpeakTalk("who loves to stare into the stars");

  eSpeakSetGender("male");
  eSpeakTalk("one day a big dragon swooped down and they became the best of friends");

  eSpeakSetGender("female");
  eSpeakTalk("The end");

  eSpeakDisconnect ();//disconnect from eSpeak
} //end of main
